## crudini 0.7

=== Makefile ===
name = crudini
version = 0.7

all:
	help2man -n "manipulate ini files" -o crudini.1 -N ./crudini-help
	./crudini-help --help > README

dist: all
	mkdir ${name}-${version}
	{ git ls-files; echo crudini.1; } | xargs cp -a --parents --target=${name}-${version}
	tar -czf ${name}-${version}.tar.gz ${name}-${version}
	rm -Rf ${name}-${version}

## crudini 0.3

=== debian/changelog ===
crudini (0.3-1) unstable; urgency=low

  * Initial release (Closes: #723740)

 -- Zev Benjamin <zev@zulip.com>  Tue, 26 Nov 2013 15:07:23 -0500

=== debian/control ===
Source: crudini
Section: utils
Priority: optional
Maintainer: Zulip Debian Packaging Team <debian@zulip.com>
Uploaders: Zev Benjamin <zev@zulip.com>, Luke Faraone <lfaraone@zulip.com>, Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.0.0), python
Standards-Version: 3.9.4
Homepage: http://www.pixelbeat.org/programs/crudini/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/crudini/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/crudini/trunk/

Package: crudini
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-iniparse
Description: utility for manipulating ini files
 crudini is a utility to simplify reading and updating ini files
 from shell scripts, so named as it provides CRUD functionality.  It
 can handle most variants of ini.

## crudini 0.7

=== debian/changelog ===
crudini (0.7-1) unstable; urgency=medium

  * New upstream version
  * Add dependency on dh-python
  * Drop Debian-specific manpage in favour of upstream's
  * Remove unused substitution variable in control
  * Change maintainer to PAPT, update uploader email addresses
  * Include upstream NEWS file
  * Bump standards version; no changes needed

 -- Luke Faraone <lfaraone@debian.org>  Sun, 12 Jul 2015 00:47:49 +0000

=== debian/control ===
Source: crudini
Section: utils
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Zev Benjamin <zev@mit.edu>, Luke Faraone <lfaraone@debian.org>
Build-Depends: debhelper (>= 8.0.0),
 python,
 dh-python,
# Needed to generate manpage
 help2man,
 python-iniparse
Standards-Version: 3.9.6
Homepage: http://www.pixelbeat.org/programs/crudini/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/crudini/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/crudini/trunk/

Package: crudini
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python-iniparse
Description: utility for manipulating ini files
 crudini is a utility to simplify reading and updating ini files
 from shell scripts, so named as it provides CRUD functionality.  It
 can handle most variants of ini.

=== debian/watch ===
# See uscan(1) for format

version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/crudini-$1.tar.gz/ \
  https://github.com/pixelb/crudini/releases .*/v?(\d\S*)\.tar\.gz

## crudini 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 name = crudini
-version = 0.7
+version = 0.9.3
 
 all:
 	help2man -n "manipulate ini files" -o crudini.1 -N ./crudini-help

=== debian/changelog ===
crudini (0.9.3-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Sep 2021 22:41:02 -0400

crudini (0.9.3-4) unstable; urgency=medium

  * dh_python3 ignores DH_OPTIONS, use an override rule instead
    (Closes: #948886, #936346, #942976).
  * Use secure homepage URL.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 Jan 2020 11:51:40 +0100

crudini (0.9.3-3) unstable; urgency=medium

  * Add missing setuptools build dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Dec 2019 11:32:47 +0100

crudini (0.9.3-2) unstable; urgency=medium

  * Force building with pybuild to fix FTBFS.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Dec 2019 10:33:09 +0100

crudini (0.9.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.

  [ Adrian Bunk ]
  * New upstream release.
  * Use Python 3. (Closes: #936346)

  [ Andrej Shadura ]
  * Use dh 12.
  * Bump Standards-Version to 4.4.1.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 22 Dec 2019 19:56:24 +0100

=== debian/control ===
Source: crudini
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Zev Benjamin <zev@mit.edu>, Luke Faraone <lfaraone@debian.org>
Build-Depends: debhelper-compat (= 12),
 python3,
 python3-setuptools,
 dh-python,
# Needed to generate manpage
 help2man,
 python3-iniparse
Standards-Version: 4.4.1
Homepage: https://www.pixelbeat.org/programs/crudini/
Vcs-Git: https://salsa.debian.org/python-team/packages/crudini.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/crudini

Package: crudini
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-iniparse
Description: utility for manipulating ini files
 crudini is a utility to simplify reading and updating ini files
 from shell scripts, so named as it provides CRUD functionality.  It
 can handle most variants of ini.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## crudini 0.9.4

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 name = crudini
-version = 0.9.3
+version = 0.9.4
 
 all:
 	help2man -n "manipulate ini files" -o crudini.1 -N ./crudini-help
-	./crudini-help --help > README
+	./crudini-help --markdown > README.md
 
 dist: all
 	mkdir ${name}-${version}

=== debian/changelog ===
crudini (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.4
  * d/control:
    + add pybuild-plugin-pyproject build-dep
    + bump Standards-Version, no changes needed
    + add Rules-Requires-Root: no
  * d/watch: fix URL and pattern
  * manpages no longer shipped upstream, generate at build
  * add autopkgtests

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 12 Feb 2023 16:44:22 -0500

crudini (0.9.3-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:45:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Zev Benjamin <zev@mit.edu>, Luke Faraone <lfaraone@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  dh-python,
 # Needed to generate manpage
  help2man,
  python3-iniparse
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: https://www.pixelbeat.org/programs/crudini/
 Vcs-Git: https://salsa.debian.org/python-team/packages/crudini.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/crudini
+Rules-Requires-Root: no
 
 Package: crudini
 Architecture: any

=== debian/watch ===
version=4
https://github.com/pixelb/crudini/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## crudini 0.9.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 name = crudini
-version = 0.9.4
+version = 0.9.5
 
 all:
 	help2man -n "manipulate ini files" -o crudini.1 -N ./crudini-help

=== debian/changelog ===
crudini (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.5.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Bruno Martins <bruno.martval@gmail.com>  Tue, 14 Jan 2025 19:16:38 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Needed to generate manpage
  help2man,
  python3-iniparse
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.pixelbeat.org/programs/crudini/
 Vcs-Git: https://salsa.debian.org/python-team/packages/crudini.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/crudini

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,9 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+execute_before_dh_installdocs:
+	# build manpage and README.md
+	make all
+
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## crudini 0.9.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 name = crudini
-version = 0.9.5
+version = 0.9.6
 
 all:
 	help2man -n "manipulate ini files" -o crudini.1 -N ./crudini-help

=== debian/changelog ===
crudini (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.9.6.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Apr 2025 12:41:50 -0400

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
- dh-python,
+ dh-sequence-python3,
 # Needed to generate manpage
  help2man,
  python3-iniparse
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.pixelbeat.org/programs/crudini/
 Vcs-Git: https://salsa.debian.org/python-team/packages/crudini.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/crudini

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 execute_before_dh_installdocs:
 	# build manpage and README.md
